(function($) {
    "use strict";
    //scroll top button if needed
    $(window).on('scroll', function() {
        if ($('.page-header').length) {
            var strickyScrollPos = 50;
            if ($(window).scrollTop() > strickyScrollPos) {
                $('header').addClass("scroll");
            } else if ($(this).scrollTop() <= strickyScrollPos) {
                $('header').removeClass("scroll");
            }
        }
    });

    if ($(window).width() > 1140) {
        $(function () {
          new fullpage('#fullpage', {
            anchors: ['anasayfa',  'haberler',  'blog', 'etkinlik-takvimi', 'egitimler','enerji', 'projeler', 'atolyeler', 'rakamlar', 'video-fotograf', 'destekciler', 'footer'],
            navigation: false,
            scrollingSpeed: 1000,
            onLeave: function (test, nextIndex) {
              if (nextIndex.index == 0) {
                $("header").removeClass("scroll");
              } else {
                $("header").addClass("scroll");
              }
            },
            scrollBar: true,
            afterRender: function(){
                  new WOW().init();
            }
          });
        });
    }

    $(".blog-list .wrapper .item").addClass("active");
    $(".blog-categories .links ul li").click(function () {
        var value = $(this).data("filter");
        var index = $(this).index();
        $(".blog-categories .links ul li").removeClass("active");
        $(".blog-categories .links ul li:eq(" + index + ")").addClass("active")
        
        if (value == "all") {
            $(".blog-list .wrapper .item").addClass("active");
        }
        else{
            $(".blog-list .wrapper .item").not("."+value).removeClass("active");
            $(".blog-list .wrapper .item").filter("."+value).addClass("active");
        }
    })

    $(window).scroll(function() {
        "use strict";
        if ($(this).scrollTop() >= 200) {
            $('.canli-destek').addClass("active");
        } else {
            $('.canli-destek').removeClass("active");
        }
    });

    $('.datepicker').datepicker({
        language: "tr",
        orientation: "bottom auto"
    });

    $(".accordion-menu .item .accordion-title a").click(function() {
        var id = $(this).data("id");
        $(".accordion-menu .item .accordion-title a").removeClass("active");
        
        $(id).slideToggle();
        $(this).toggleClass("active");
    })

    $("ul.location-list li").on("click",function() {
        $("ul.location-list li span").hide(400);
        $(this).find("span").slideToggle(400);
    })

    //preloader    
    $(window).on('load', function() {
        if ($('.preloader').length) {
            $('.preloader').fadeOut('slow');
        }
    });

    if($(".search-area").length) {
        $(".openSearch").on("click",function() {
            $(".search-area").addClass("active");
        })
    
        $(".closeForm").on("click",function() {
            $(".search-area").removeClass("active");
        })
        $(".search-area span.overlay").on("click",function() {
            $(".search-area").removeClass("active");
        })
    }

    if($(".login-area").length) {
        $(".openLogin").on("click",function() {
            $(".login-area").addClass("active");
        })
        
        $(".login-area span.overlay").on("click",function() {
            $(".login-area").removeClass("active");
        })
    }

    if($(".rota-popup").length) {
        $("a.rota").on("click",function() {
            $(".rota-popup").addClass("active");
        })
        
        $(".rota-popup span.overlay").on("click",function() {
            $(".rota-popup").removeClass("active");
        })
    }
    
    if($(".register-area").length) {
        $(".openRegister").on("click", function() {
            $(".login-area").removeClass("active");
            setTimeout(function() {
                $(".register-area").addClass("active");
            },400)
        })
        $(".register-area span.overlay").on("click",function() {
            $(".register-area").removeClass("active");
        })
    }

    if($(".locations-area").length) {
        $(".locations").on("click", function() {
            $(".locations-area").addClass("active");
        });
        $(".locations-area span.overlay").on("click",function() {
            $(".locations-area").removeClass("active");
        })
    }
    
    $(".share").click(function() {
        $(this).parent().find("ul").slideToggle();
    })
    
    $(".sliderWrapper .owl-carousel").owlCarousel({
        items: 1,
        dots: true,
        autoplay: true,
        loop: true,
        smartSpeed: 800,
        autoplayTimeout: 3000,
        margin: 0,
        nav: false,
    });

    $(".destekciler .owl-carousel").owlCarousel({
        items: 1,
        dots: false,
        autoplay: true,
        mouseDrag: false,
        touchDrag: false,
        pullDrag: false,
        loop: true,
        animateOut: 'slideOutDown',
        animateIn: 'slideInDown',
        autoplayTimeout: 5000,
        smartSpeed: 1000,
        margin: 0,
        nav: false,
    });

    $(".haberler .owl-carousel").owlCarousel({
        items: 1,
        dots: true,
        loop: true,
        autoplay: true,
        dotsContainer: '#carousel-custom-dots',
        smartSpeed: 800,
        autoplayTimeout: 5000,
        margin: 0,
        nav: false
    });

    $('#carousel-custom-dots .owl-dot').click(function () {
        $(".haberler .owl-carousel").trigger('to.owl.carousel', [$(this).index(), 300]);
    });

    $(".navigation .prev-button span").on("click",function() {
        $(".haberler .owl-carousel").trigger('prev.owl.carousel');
    })

    $(".navigation .next-button span").on("click",function() {
        $(".haberler .owl-carousel").trigger('next.owl.carousel');
    })

    $(".etkinlik-takvimi .owl-carousel").owlCarousel({
        loop: true,
        autoplay: true,
        smartSpeed: 800,
        autoplayTimeout: 3000,
        margin: 0,
        dots: false,
        nav: true,
        navText: ['<i class="flaticon-left-chevron"></i>','<i class="flaticon-right"></i>'],
        responsive: {
            0: {
                items: 1,
            },
            600: {
                items: 3,
            },
            1000: {
                items: 5, 
            }
        }
    });

    checkClasses();
    $(".etkinlik-takvimi .owl-carousel").on('translated.owl.carousel', function(event) {
        checkClasses();
    });

    function checkClasses(){
        $(".etkinlik-takvimi .owl-carousel .owl-item").removeClass("first-item");
        $(".etkinlik-takvimi .owl-carousel .owl-item.active").each(function(index) {
            if (index == 0) {
                $(this).addClass("first-item");
            }
        })
    }

    $(".egitimler .owl-carousel").owlCarousel({
        loop: true,
        autoplay: true,
        smartSpeed: 800,
        autoplayTimeout: 3000,
        margin: 40,
        dots: false,
        nav: true,
        navText: ['<i class="flaticon-left-chevron"></i>','<i class="flaticon-right"></i>'],
        responsive: {
            0: {
                items: 1,
            },
            600: {
                items: 2,
            },
            1000: {
                items: 4, 
            }
        }
    });

    $(".projeler .owl-carousel").owlCarousel({
        loop: true,
        autoplay: true,
        smartSpeed: 800,
        autoplayTimeout: 3000,
        margin: 40,
        dots: false,
        nav: true,
        navText: ['<i class="flaticon-left-chevron"></i>','<i class="flaticon-right"></i>'],
        responsive: {
            0: {
                items: 1,
            },
            600: {
                items: 2,
            },
            900: {
                items: 3,
            },
            1050: {
                items: 4, 
            }
        }
    });

    $(".destekciler .owl-carousel").owlCarousel({
        loop: true,
        autoplay: true,
        smartSpeed: 800,
        autoplayTimeout: 3000,
        margin: 40,
        dots: false,
        nav: false,
        responsive: {
            0: {
                items: 2,
            },
            600: {
                items: 4,
            },
            1000: {
                items: 8, 
            }
        }
    });

    $(".galeri-proje .owl-carousel").owlCarousel({
        loop: true,
        autoplay: true,
        smartSpeed: 800,
        autoplayTimeout: 3000,
        margin: 40,
        dots: false,
        stagePadding: 200,
        nav: false,
        responsive: {
            0: {
                items: 1,
                stagePadding: 80,
            },
            600: {
                items: 2,
            },
            1000: {
                items: 4, 
            }
        }
    });

    $('.main-slider').slick({
        slidesToShow: 1,
        slidesToScroll: 1,
        arrows: false,
        fade: true,
        asNavFor: '.thumb-slider'
    });

    $('.thumb-slider').slick({
    slidesToShow: 3,
    slidesToScroll: 1,
    asNavFor: '.main-slider',
    dots: false,
    arrows: false,
    rows: true,
    focusOnSelect: true
    });
    
    //fancybox
    $(".data-fancybox").fancybox({
        toolbar    : false,
        smallBtn   : true,
        arrows     : true,
        infobar: false,
        btnTpl: {
            smallBtn: '<button data-fancybox-close class="fancybox-button fancybox-close-small" title="{{CLOSE}}">' +
            'KAPAT X' + 
            '</button>',
            arrowLeft: '<button data-fancybox-prev class="fancybox-button fancybox-button--arrow_left" title="{{PREV}}">' +
            '<i class="flaticon-left-chevron">' +
            "</button>",
            arrowRight: '<button data-fancybox-next class="fancybox-button fancybox-button--arrow_right" title="{{PREV}}">' +
            '<i class="flaticon-right">' +
            "</button>",
        }
    });
    
    $("select").niceSelect();
    
    //mobile menu
    var Nav = $('#menu').hcOffcanvasNav({
        disableAt: 900,
        position: 'left',
        levelTitles: true,
        labelClose: 'Kapat',
        labelBack: 'Geri',
    });

    $(".project-content .content:first-child").addClass("current");
    $("#tabLinks li:first-child a").addClass("active");

    $("#tabLinks li a").on("click",function() {
        var data = $(this).data("id");
        $(".project-content .content").removeClass("current");
        $("#tabLinks li a").removeClass("active");

        $(this).addClass("active");
        $(data).addClass("current");
    })

    $(".about-links .container").prepend("<a href='javascript:void(0)' class='openAbout'>MENÜ</a>");

    $(".openAbout").on("click",function(){
        $(this).parent().find("ul").slideToggle(400);
    })

    var fSize = 15;
    $(".increase").click(function() {
        fSize++;
        $("p").css("font-size", fSize+ 'px');
    })
    $(".decrease").click(function() {
        fSize--;
        $("p").css("font-size", fSize+ 'px');
    }) 

    $(".hc-nav-trigger").click(function() {
        Nav.open();
    })

    var date = $("#count").data("date");
    $('.countdown').countdown(date, function(event) {
        $('#count').html(event.strftime('<span><b>%m</b>Ay</span> <span><b>%n</b>Gün</span> <span><b>%H</b>Saat</span>'));
    });

    var tabContent = $(".odeme .payment form .wrapper .tab-content");
    var tabLink = $(".step-buttons");
    if (tabLink)  {
        tabLink.on("click",function() {
            var data = $(this).data("id");
            if(data) {
                var index = $(this).index();
                tabContent.removeClass("current");
                $(data).addClass("current");
    
                tabLink.removeClass("active");
                tabLink.eq(index + 1).addClass("active");
            }
        })
    }


    $('.simpleCopy').click(function(){
        var target = $(this).data("target");
        var text   = $('#'+target).text();
        var textArea = document.createElement("textarea");
        textArea.value = text;
        document.body.appendChild(textArea);
        textArea.select();
        document.execCommand("Copy");
        textArea.remove();

        var $this = $(this);
        $this.find('.success-copied').addClass("active");
        setTimeout(function() {
            $this.find('.success-copied').removeClass("active");
        },3000)
    });
    
})(jQuery);

$(function(){
    var itop = 0;
    var ileft = 0;
    var sName = '';
    var sIcon = '';
    var eq = 0;
    $(document).on('mouseenter', '.hcont .item', function () {
        eq = $(this).index();
        $('.hcont .item').attr('class', 'item');
        var that = this;
            setTimeout(function(){
                that.classList.add("selected");
            },10)

        $('.mapSwitchs .hcont .iller .isim').removeClass('selected');
        $('.mapSwitchs .hcont .iller .isim').eq(eq).addClass('selected');
    });

    $(document).on('click','.mapSwitchs .hcont .iller .isim', function(){
        var name = $(this).data('name');
        mapChange(name, this);
    });

    $(document).on('click','.hcont .item', function(){
        //mapChange('denizli', this);
        var name = $(this).data('name');
        //alert(name)
        mapChange(name, this);
    });

    //$('.orta-nokta .item').eq(2).click();
    $('.hcont .item').eq(1).mouseenter();

});

new WOW().init();